[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.SelectedColumn

The column instance for the currently selected cell in the grid control.

## Declaration

Source position: grids.pas line 1292

`protected property TCustomGrid.SelectedColumn : TGridColumn read GetSelectedColumn;`

## Description

SelectedColumn is a read-only TGridColumn property which contains the column instance for the current column. Col contains the column number for the selected cell in the grid control, and is used to located the column instance by calling ColumnFromGridColumn. The property may contain Nil if Columns has not been enabled in the control, or when a valid column definition is not found for the current column number.